Pools by Category ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/categories/{category_id}/pools \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "solana_DaZJ1A8ZqiSbSr7M5uFudafDUXLSNQX1zVpcyDhJZEzF",
"type": "pool",
"attributes": {
"base_token_price_usd": "0.0000013253687934057798494580598374625617972585734733709883585887625",
"base_token_price_native_currency": "0.0000000176094592913516",
"quote_token_price_usd": "80.816693597538487283130171047763638910597932545",
"quote_token_price_native_currency": "1.0",
"base_token_price_quote_token": "0.00000001760945929",
"quote_token_price_base_token": "56787660.7370405",
"address": "DaZJ1A8ZqiSbSr7M5uFudafDUXLSNQX1zVpcyDhJZEzF",
"name": "69 / SOL",
"pool_created_at": "2026-05-28T04:58:01Z",
"fdv_usd": "5325.9944",
"market_cap_usd": null,
"price_change_percentage": {
"m5": "2.451",
"m15": "2.451",
"m30": "2.451",
"h1": "2.451",
"h6": "2.451",
"h24": "2.451"
},
"reserve_in_usd": "1123.21403520731",
"h24_volume_usd": "4.1209741111",
"h24_tx_count": 2
},
"relationships": {
"base_token": {
"data": {
"id": "solana_27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token"
}
},
"network": {
"data": {
"id": "solana",
"type": "network"
}
},
"dex": {
"data": {
"id": "pump-fun",
"type": "dex"
}
}
}
}
],
"included": [
{
"id": "solana_27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"type": "token",
"attributes": {
"address": "27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"name": "pupu69$",
"symbol": "69",
"decimals": 6,
"image_url": "https://assets.geckoterminal.com/zhxpv93rywekjkckn59b3a3ghl1v",
"coingecko_coin_id": null
}
},
{
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token",
"attributes": {
"address": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"image_url": "https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989",
"coingecko_coin_id": "wrapped-solana"
}
},
{
"id": "pump-fun",
"type": "dex",
"attributes": {
"name": "Pump.fun"
}
},
{
"id": "solana",
"type": "network",
"attributes": {
"name": "Solana",
"coingecko_asset_platform_id": "solana"
}
}
]
}Categories
Pools by Category ID
To query all the pools based on the provided category ID
GET
/
onchain
/
categories
/
{category_id}
/
pools
Pools by Category ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/categories/{category_id}/pools \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "solana_DaZJ1A8ZqiSbSr7M5uFudafDUXLSNQX1zVpcyDhJZEzF",
"type": "pool",
"attributes": {
"base_token_price_usd": "0.0000013253687934057798494580598374625617972585734733709883585887625",
"base_token_price_native_currency": "0.0000000176094592913516",
"quote_token_price_usd": "80.816693597538487283130171047763638910597932545",
"quote_token_price_native_currency": "1.0",
"base_token_price_quote_token": "0.00000001760945929",
"quote_token_price_base_token": "56787660.7370405",
"address": "DaZJ1A8ZqiSbSr7M5uFudafDUXLSNQX1zVpcyDhJZEzF",
"name": "69 / SOL",
"pool_created_at": "2026-05-28T04:58:01Z",
"fdv_usd": "5325.9944",
"market_cap_usd": null,
"price_change_percentage": {
"m5": "2.451",
"m15": "2.451",
"m30": "2.451",
"h1": "2.451",
"h6": "2.451",
"h24": "2.451"
},
"reserve_in_usd": "1123.21403520731",
"h24_volume_usd": "4.1209741111",
"h24_tx_count": 2
},
"relationships": {
"base_token": {
"data": {
"id": "solana_27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token"
}
},
"network": {
"data": {
"id": "solana",
"type": "network"
}
},
"dex": {
"data": {
"id": "pump-fun",
"type": "dex"
}
}
}
}
],
"included": [
{
"id": "solana_27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"type": "token",
"attributes": {
"address": "27pLeUemQJmxYGxsxzUTEkvi2e9eMs2xkBNB85u4pump",
"name": "pupu69$",
"symbol": "69",
"decimals": 6,
"image_url": "https://assets.geckoterminal.com/zhxpv93rywekjkckn59b3a3ghl1v",
"coingecko_coin_id": null
}
},
{
"id": "solana_So11111111111111111111111111111111111111112",
"type": "token",
"attributes": {
"address": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9,
"image_url": "https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989",
"coingecko_coin_id": "wrapped-solana"
}
},
{
"id": "pump-fun",
"type": "dex",
"attributes": {
"name": "Pump.fun"
}
},
{
"id": "solana",
"type": "network",
"attributes": {
"name": "Solana",
"coingecko_asset_platform_id": "solana"
}
}
]
}Notes
- Get category IDs from Categories List. Use
include=base_tokento retrieve tokens for a specific category. - Trending rankings are determined by:
- User engagement on GeckoTerminal
- Market activity (volume, transactions)
- Pool security (liquidity, honeypot checks)
- Returns up to 20 pools per page. Use the
pageparam to navigate more results. - GeckoTerminal categories are different from CoinGecko categories.
SDK Examples
const response = await client.onchain.categories.getPools('pump-fun');
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Category ID.
Query Parameters
Attributes to include, comma-separated if more than one.
Available values: base_token, quote_token, dex, network
Page through results. Default value: 1
Sort the pools by field.
Default: pool_created_at_desc
Available options:
m5_trending, h1_trending, h6_trending, h24_trending, h24_tx_count_desc, h24_volume_usd_desc, pool_created_at_desc, h24_price_change_percentage_desc Was this page helpful?
⌘I

